**Source URL:** https://limited.veevavault.dev/regulatory/vault-api/api-reference/26.3/vault-objects/object-record-attachments/download-object-record-attachments-export-file

# Download Object Record Attachments Export File

Download the export file parts generated by [Export Object Record Attachments](/regulatory/vault-api/api-reference/26.3/vault-objects/object-record-attachments/export-object-record-attachments).

<Endpoint path="/api/{version}/vobjects/{object_name}/attachments/files/{file_part_name}" method="GET" />

## Headers

| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |

## URI Path Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `{object_name}` | The name of the object from which attachments were exported. |
| `{file_part_name}` | The name of the exported file part. For example, `1636883-1221701-product__v.001`. Obtain this from the [Retrieve Object Record Attachments Export Results](/regulatory/vault-api/api-reference/26.3/vault-objects/object-record-attachments/retrieve-object-record-attachments-export-results) request. |
</FieldTable>

## Request

<CodeExample title="">
```bash
curl -X GET -H "Authorization: {AUTH_VALUE}" \
https://myvault.veevavault.com/api/v26.3/vobjects/product__v/attachments/files/1636883-1221701-product__v.001
```
</CodeExample>

## Response

<CodeExample title="">
```bash
Content-Type: application/octet-stream;charset=UTF-8
Content-Disposition:attachment;filename="1636883-1235401-product__v.tar.gz.001"
```
</CodeExample>

## Response Details

On `SUCCESS`, Vault downloads the export file part for the specified object records attachments. The export file part is named with the following format: `{user_id}-{job_id}-{object_name}.tar.gz.{file_part}`. If the export file has only one part, you can rename this without the `.{file_part}` extension.

---

**Previous:** [Retrieve Object Record Attachments Export Results](/regulatory/vault-api/api-reference/26.3/vault-objects/object-record-attachments/retrieve-object-record-attachments-export-results)  
**Next:** [Object Page Layouts](/regulatory/vault-api/api-reference/26.3/vault-objects/object-page-layouts)